function [output1 output2 output3] = getSensibility(xred,f, fred, kfwd)

%% Original Model Sensitivity Dynamics
f1 = kfwd;
aux1 = {};
for i=1:length(f)
    for j=1:length(kfwd)
        aux1{j} = diff(f(i),kfwd(j));
    end
    f1 = [f1 transpose(aux1)];
end
output1 = f1;
%% Reduced Model Sensitivity Dynamics
f2 = kfwd;
aux2 = {};
fred
for i=1:length(fred)
    for j=1:length(kfwd)
        aux2{j} = diff(fred(i),kfwd(j));
    end
    f2 = [f2 transpose(aux2)];
end
output2 = f2;

%% Error Sensibility
f3 = kfwd;
aux3 = {};
err = {};
for i=1:length(fred)
    if has(fred{i},xred{i})==1
        eqn = fred{i}==0;
        var = xred{i};
        sol = solve(eqn,var)
        err = xred{i} - sol%error = y - yred
    else
        err = xred{i} - fred{i};
    end
    for j=1:length(kfwd)
        aux3{j} = diff(err,kfwd(j));
    end
    f3 = [f3 transpose(aux3)];
end
output3 = f3;



